Subject: Re: [MMUSIC] BUNDLE: Some updates to RFC 3264 no longer needed? - Pull Request

From: Christer Holmberg <[email-masked]>
Date: Wed, 31 Jan 2018 11:06:42 +0000

Hi,

I had a look at the updates to RFC 3264. The updates to section 8.2 is no longer needed, so I removed it.

I removed it in the pull request for editorial changes, in order to avoid merge conflicts:

https://github.com/cdh4u/draft-sdp-bundle/pull/55

Regards,

Christer

From: mmusic <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Monday 29 January 2018 at 23:19
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Ben Campbell <[email-masked]<mailto:[email-masked]>>
Subject: [MMUSIC] BUNDLE: Some updates to RFC 3264 no longer needed?

Hi,

One thing I noted when implementing the changes based on Ben’s AD review.

The Introduction section of BUNDLE says:

   “This specification also updates sections 5.1, 8.1 and 8.2 of RFC 3264
   [RFC3264].  The update allows an answerer to assign a non-zero port
   value to an "m=" section in an SDP answer, even if the "m=" section
   in the associated SDP offer contained a zero port value.”

The changes are then done in Section 14.

Now, since the answerer no longer assigns the answerer BUNDLE address to all m= sections in the answer (including m= sections that had a zero port value in the associated offer), I actually don’t think this update is needed anymore. That would of course be a good thing.

(We cannot completely remove Section 14, because we will still need the update to RFC 3264 that allows usage of port zero without disabling/rejecting an m= section.)

I will create a PR for this later, once I’ve dealt with Ben’s review comments.. Please let me know if have any questions.

Regards,

Christer